Skip to content

Get a User

Request

Get a user by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
user_idintegerrequired

Numeric ID of the user to get

Query
extendedboolean

Get extended properties in response

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/users/{user_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

User response

Bodyapplication/json
dataobject(user)
metaobject
Response
{ "data": { "title": "string", "active": true, "language": "string", "zone_name": "string", "id": 0, "entity_type": "string", "username": "string", "version": 0, "first_name": "string", "last_name": "string", "link_ldap": true, "link_saml": true, "phone": "string", "mobile": "string", "fax": "string", "type": "string", "role": "string", "scope": "string", "view_organizations": true, "edit_campaigns": true, "edit_margins_and_performance": true, "creator_id": 0, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "last_login_on": "string", "access_internal_fees": true, "view_segments": true, "edit_segments": true, "view_data_definition": true, "edit_data_definition": true, "view_dmp_reports": true, "email": "string", "roles": [ … ], "permissions": { … } }, "meta": { "status": "success" } }